# ExtraRecoilData

For the dev that wants to make their guns feel just a bit more unique. Implements 2 new features for recoil:
- Recoil Scaling: Increases or reduces recoil with continuous fire.
- Recoil Patterns: Predefines the direction of the recoil, either separate from or tied to the base random recoil.

Instructions on how to use this mod are [on the wiki](https://github.com/Dinorush/ExtraRecoilData/wiki).

### Patch Notes

#### v1.1.0

- Removed RecoilScaleGrowth field, since its effect can be accomplished by adjusting other fields.
- RecoilScaleMin/Max now only affect random recoil.
- Added new fields:
  - RecoilScaleThreshold: Sets the threshold below or at which RecoilScaleMin applies and above which it begins scaling toward RecoilScaleMax.
  - RecoilPatternScaleMin/Max: Identical to RecoilScaleMin/Max, but affect recoil patterns instead.

#### v1.0.0

- Initial Release